com.google.appengine.api.search

## Class GetRequest

- java.lang.Object
- - com.google.appengine.api.search.GetRequest

-     public class GetRequest
      extends java.lang.Object

  A request to list objects in an index. You can specify a number of restrictions, such as the number of objects to return, the id of the first object to return, whether to only return keys, etc.

         GetRequest request = GetRequest.newBuilder()
             .setLimit(500)
             .setStartId("some-id")
             .setReturningIdsOnly(true)
             .build();

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetRequest.Builder` The builder of `GetRequest`s.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getLimit()`
    `java.lang.String` | `getStartId()`
    `int` | `hashCode()`
    `boolean` | `isIncludeStart()`
    `java.lang.Boolean` | `isReturningIdsOnly()`
    `static GetRequest.Builder` | `newBuilder()`
    `static GetRequest.Builder` | `newBuilder(GetRequest request)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newBuilder

          public static GetRequest.Builder newBuilder()

    - #### newBuilder

          public static final GetRequest.Builder newBuilder(GetRequest request)

    - #### getStartId

          public java.lang.String getStartId()

      Returns:
        the Id of the first object to return

    - #### isIncludeStart

          public boolean isIncludeStart()

      Returns:
        whether or not the object with the start Id is returned

    - #### getLimit

          public int getLimit()

      Returns:
        the maximum number of objects returned by this request

    - #### isReturningIdsOnly

          public java.lang.Boolean isReturningIdsOnly()

      Returns:
        whether or not index schema is returned with each index

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`